package com.example.onlinejudge.judge.strategy;

import com.example.onlinejudge.model.dto.question.JudgeCase;
import com.example.onlinejudge.model.dto.questionSubmit.JudgeInfo;
import com.example.onlinejudge.model.entity.Question;
import com.example.onlinejudge.model.entity.QuestionSubmit;
import lombok.Data;
import java.util.List;
@Data
public class JudgeContext {

    private JudgeInfo judgeInfo;

    private List<String> inputList;

    private List<String> outputList;

    private List<JudgeCase> judgeCaseList;

    private Question question;

    private QuestionSubmit questionSubmit;


}
