package com.example.onlinejudge.model.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("提交代码")
public class SubmitCode {
    @ApiModelProperty("提交代码id")
    int id;

    @ApiModelProperty("提交用户id")
    int userID;

    @ApiModelProperty("提交题目id")
    int problemID;

    @ApiModelProperty("提交时间")
    String submitTime;

    @ApiModelProperty("提交结果")
    String result;

    @ApiModelProperty("运行时间")
    int runTime;

    @ApiModelProperty("运行内存")
    int runMemory;

    @ApiModelProperty("提交代码")
    String sourceCode;

    @ApiModelProperty("语言id")
    String language;

    @ApiModelProperty("输入")
    String stdin;

    @ApiModelProperty("输出")
    String stdout;

    @ApiModelProperty("错误")
    String stderr;

    @ApiModelProperty("编译信息")
    String compileInfo;

    @ApiModelProperty("是否公开")
    boolean isPublic;

    @ApiModelProperty("是否评测")
    boolean isJudge;

    @ApiModelProperty("是否删除")
    boolean isDelete;

    @ApiModelProperty("状态")
    String state;
}
