package com.example.onlinejudge.model.dto.question;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("题目配置")
@Data
public class JudgeConfig {

        @ApiModelProperty("时间限制（ms）")
        private Long timeLimit;

        @ApiModelProperty("内存限制（KB）")
        private Long memoryLimit;

        @ApiModelProperty("堆栈限制（KB）")
        private Long stackLimit;
}
